
Robotics Systems Types - Feature #1805
Change type PersonHypothesis
03/13/2014 04:58 PM - L. Ziegler

Status: Resolved Start date: 03/13/2014
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version:
Description

Change the type according to last rst meeting on 2014-03-12.

Related issues:
Related to Robotics Systems Types - Enhancement # 1785: Enhance type PersonHy... Rejected 02/27/2014

Associated revisions
Revision b3bf9cd5 - 04/22/2014 08:33 PM - L. Ziegler

Changed gender field to use enum in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto (PersonHypothesis.gender):
  use enumeration type instead of bytes

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision eed8935f - 04/22/2014 08:34 PM - L. Ziegler

Renamed field identity -> name in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto (PersonHypothesis.name):
  renamed identity -> name; changed type bytes -> string; Updated
  documentation

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision ec183098 - 04/22/2014 08:38 PM - L. Ziegler

Allow temporal range for age field in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto
  (PersonHypothesis.AgeRange): new nested message for representing a
  range of age in a consistent way
  (PersonHypothesis.age): changed type bytes -> AgeRange; Updated
  documentation
Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 7e8be736 - 04/22/2014 08:43 PM - L. Ziegler

LocatedFace instead of human_head_direction, face in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto
  (PersonHypothesisType.human_head_direction): removed; subsumed by use
  of LocatedFace type
  (PersonHypothesisType.face): changed type Face -> LocatedFace; added
  documentation string

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 345dde2a - 04/22/2014 08:45 PM - L. Ziegler

Added new field human_height in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto
  (PersonHypothesis.human_height):
  new field; defines the measurable height of the tracked person

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision e72b250a - 04/22/2014 08:48 PM - L. Ziegler

Added new type Body in proto/sandbox/rst/hri/Body.proto

refs #1805

    -  proto/sandbox/rst/hri/Body.proto: new file; contains type Body which
  represents the geometric properties of a person

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision c980f8da - 04/22/2014 08:49 PM - L. Ziegler

Replaced fields r{h,b}c_direction with body in proto/sandbox/rst/hri/PersonHypothesis.proto

fixes #1805

    -  proto/sandbox/rst/hri/PersonHypothesis.proto (PersonHypothesis.rhc_direction):
  removed; subsumed by new field body
  (PersonHypothesis.rbc_direction): likewise
  (PersonHypothesis.body): new field; better geometric description of
  the person using the new Body type

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

History
#1 - 04/14/2014 03:05 PM - J. Wienke

Single commits

    1. Gender to enum but with additional class UNKNOWN
    2. Name to string, empty = undecided
    3. Age: Add range class with min_age and max_age
    4. Add LocatedFace instead of face once the respective issue is resolved (#1804). Remove human_head_direction and the original face.
    5. Add Body class in rst/hri that contains:
        -  Add Translation and rotation to the type. Both as "optional". Add descriptions how the rotation relates to the human body. 
        -  Add height, width and depth, all as optional, with extensive descriptions how these are defined in relation to a human body.
Add a body instance to PersonHypothesis and remove rhc_direction and rbc_direction.

#2 - 04/16/2014 06:55 PM - L. Ziegler
- File 0002-changed-gender-field-to-use-enum-instead-of-bytes.patch added
- File 0003-Changed-identity-field-to-name.-Now-uses-string-inst.patch added
- File 0004-Introduced-a-new-message-for-representing-a-range-of.patch added
- File 0005-Replaced-fields-human_head_direction-and-face-with-n.patch added
- File 0006-Added-new-field-human_height-to-PersonHypothesis-whi.patch added
- File 0007-Added-new-type-Body-which-represents-the-geometric-p.patch added
- File 0008-replaced-rhc_direction-and-rbc_direction-with-a-bett.patch added

I created new patches according to previous specification.

#3 - 04/22/2014 06:39 PM - L. Ziegler

Is this stuck because of your git push problem, Johannes? Otherwise, let's finalize this.

#4 - 04/22/2014 08:14 PM - J. Wienke
- Assignee set to J. Moringen

Jan, can you push this?

#5 - 04/22/2014 08:38 PM - J. Moringen
- Assignee deleted (J. Moringen)

Leon: Are @AgeRange.age_{min,max} in years?
#6 - 04/22/2014 08:52 PM - L. Ziegler
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:c980f8dad688d95424e53a7d425155118b8c584e.

Files
0012-Changed-type-PersonHypothesis-according-to-results-f.patch 2.89 KB 03/13/2014 L. Ziegler
0002-changed-gender-field-to-use-enum-instead-of-bytes.patch 1.04 KB 04/16/2014 L. Ziegler
0003-Changed-identity-field-to-name.-Now-uses-string-inst.patch 1.07 KB 04/16/2014 L. Ziegler
0004-Introduced-a-new-message-for-representing-a-range-of.patch 1.51 KB 04/16/2014 L. Ziegler
0005-Replaced-fields-human_head_direction-and-face-with-n.patch 1.61 KB 04/16/2014 L. Ziegler
0006-Added-new-field-human_height-to-PersonHypothesis-whi.patch 1.06 KB 04/16/2014 L. Ziegler
0007-Added-new-type-Body-which-represents-the-geometric-p.patch 1.92 KB 04/16/2014 L. Ziegler
0008-replaced-rhc_direction-and-rbc_direction-with-a-bett.patch 1.66 KB 04/16/2014 L. Ziegler
